# FoundationClasses
TKernel
TColStd

# TColStd_DataMapOfIntegerReal Class Reference

`#include <TColStd_DataMapOfIntegerReal.hxx>`

Inheritance diagram for TColStd_DataMapOfIntegerReal:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_DataMapOfIntegerReal (const Standard_Integer NbBuckets=1)
Standard_EXPORT TColStd_DataMapOfIntegerReal & | Assign (const TColStd_DataMapOfIntegerReal &Other)
TColStd_DataMapOfIntegerReal & | operator= (const TColStd_DataMapOfIntegerReal &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TColStd_DataMapOfIntegerReal ()
Standard_EXPORT Standard_Boolean | Bind (const Standard_Integer &K, const Standard_Real &I)
Standard_EXPORT Standard_Boolean | IsBound (const Standard_Integer &K) const
Standard_EXPORT Standard_Boolean | UnBind (const Standard_Integer &K)
Standard_EXPORT const Standard_Real & | Find (const Standard_Integer &K) const
const Standard_Real & | operator() (const Standard_Integer &K) const
Standard_EXPORT Standard_Real & | ChangeFind (const Standard_Integer &K)
Standard_Real & | operator() (const Standard_Integer &K)

## Private Member Functions

Standard_EXPORT | TColStd_DataMapOfIntegerReal (const TColStd_DataMapOfIntegerReal &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_DataMapOfIntegerReal::TColStd_DataMapOfIntegerReal | ( | const Standard_Integer | NbBuckets = `1` | ) |

TColStd_DataMapOfIntegerReal::~TColStd_DataMapOfIntegerReal | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_DataMapOfIntegerReal::TColStd_DataMapOfIntegerReal | ( | const TColStd_DataMapOfIntegerReal & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TColStd_DataMapOfIntegerReal& TColStd_DataMapOfIntegerReal::Assign | ( | const TColStd_DataMapOfIntegerReal & | Other | ) |

Standard_EXPORT Standard_Boolean TColStd_DataMapOfIntegerReal::Bind | ( | const Standard_Integer & | K,
|  | const Standard_Real & | I
| ) |

Standard_EXPORT Standard_Real& TColStd_DataMapOfIntegerReal::ChangeFind | ( | const Standard_Integer & | K | ) |

Standard_EXPORT void TColStd_DataMapOfIntegerReal::Clear | ( |  | ) |

Standard_EXPORT const Standard_Real& TColStd_DataMapOfIntegerReal::Find | ( | const Standard_Integer & | K | ) | const

Standard_EXPORT Standard_Boolean TColStd_DataMapOfIntegerReal::IsBound | ( | const Standard_Integer & | K | ) | const

void TColStd_DataMapOfIntegerReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_DataMapOfIntegerReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_DataMapOfIntegerReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

Standard_Real& TColStd_DataMapOfIntegerReal::operator() | ( | const Standard_Integer & | K | ) | `[inline]`

const Standard_Real& TColStd_DataMapOfIntegerReal::operator() | ( | const Standard_Integer & | K | ) | const`[inline]`

TColStd_DataMapOfIntegerReal& TColStd_DataMapOfIntegerReal::operator= | ( | const TColStd_DataMapOfIntegerReal & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_DataMapOfIntegerReal::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TColStd_DataMapOfIntegerReal::UnBind | ( | const Standard_Integer & | K | ) |

The documentation for this class was generated from the following file:

- TColStd_DataMapOfIntegerReal.hxx